/*

  GPS Module GY-NEO6MV2

  Parts required:
  - Arduino Board
  - GPS Module GY-NEO6MV2

  Libraries required:
  - SoftwareSerial (Included in Arduino IDE)

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 7 Apr 2020
  Version : v1.0

*/
 
#include <SoftwareSerial.h>                 // include library SoftwareSerial

SoftwareSerial ss(4, 3);                    // create object ss from SoftwareSerial and define digital ports

void setup(){
  Serial.begin(9600);                       // start Serial Monitor communication
  ss.begin(9600);                           // start the GPS
}

void loop(){
  while (ss.available() > 0){
    byte gpsData = ss.read();               // set variable and read the GPS for data
    Serial.write(gpsData);                  // print data to Serial Monitor
  }
}
